Skip to main content

Find environment variable by id

GET 

/v2/environmentvariables/:id

Find environment variable by id

Request​

Path Parameters

    id stringrequired

    The environment variable ID

Responses​

The environment variable corresponding to the ID

Schema

    id stringnullable
    companyId stringnullable
    name stringnullable
    defaultValue stringnullable

    subscriptionValues

    object

    nullable

    property name* string
    createdAtUtc date-time
    updatedAtUtc date-time
    createdBy stringnullable
    updatedBy stringnullable
{
"id": "string",
"companyId": "string",
"name": "string",
"defaultValue": "string",
"subscriptionValues": {},
"createdAtUtc": "2024-09-27T08:40:18.684Z",
"updatedAtUtc": "2024-09-27T08:40:18.684Z",
"createdBy": "string",
"updatedBy": "string"
}

Schema

    id stringnullable
    companyId stringnullable
    name stringnullable
    defaultValue stringnullable

    subscriptionValues

    object

    nullable

    property name* string
    createdAtUtc date-time
    updatedAtUtc date-time
    createdBy stringnullable
    updatedBy stringnullable
{
"id": "string",
"companyId": "string",
"name": "string",
"defaultValue": "string",
"subscriptionValues": {},
"createdAtUtc": "2024-09-27T08:40:18.684Z",
"updatedAtUtc": "2024-09-27T08:40:18.684Z",
"createdBy": "string",
"updatedBy": "string"
}

Schema

    id stringnullable
    companyId stringnullable
    name stringnullable
    defaultValue stringnullable

    subscriptionValues

    object

    nullable

    property name* string
    createdAtUtc date-time
    updatedAtUtc date-time
    createdBy stringnullable
    updatedBy stringnullable
{
"id": "string",
"companyId": "string",
"name": "string",
"defaultValue": "string",
"subscriptionValues": {},
"createdAtUtc": "2024-09-27T08:40:18.684Z",
"updatedAtUtc": "2024-09-27T08:40:18.684Z",
"createdBy": "string",
"updatedBy": "string"
}

Schema

    id stringnullable
    companyId stringnullable
    name stringnullable
    defaultValue stringnullable

    subscriptionValues

    object

    nullable

    property name* string
    createdAtUtc date-time
    updatedAtUtc date-time
    createdBy stringnullable
    updatedBy stringnullable
{
"id": "string",
"companyId": "string",
"name": "string",
"defaultValue": "string",
"subscriptionValues": {},
"createdAtUtc": "2024-09-27T08:40:18.684Z",
"updatedAtUtc": "2024-09-27T08:40:18.684Z",
"createdBy": "string",
"updatedBy": "string"
}

Schema

    id stringnullable
    companyId stringnullable
    name stringnullable
    defaultValue stringnullable

    subscriptionValues

    object

    nullable

    property name* string
    createdAtUtc date-time
    updatedAtUtc date-time
    createdBy stringnullable
    updatedBy stringnullable
{
"id": "string",
"companyId": "string",
"name": "string",
"defaultValue": "string",
"subscriptionValues": {},
"createdAtUtc": "2024-09-27T08:40:18.684Z",
"updatedAtUtc": "2024-09-27T08:40:18.684Z",
"createdBy": "string",
"updatedBy": "string"
}

A environment variable corresponding to the ID could not be found

Could not contact internal services. Please try again later or contact our support department

Loading...